Subject: [bug#40469] [PATCH core-updates] build-system/python: Add a #:python-output argument.

From: Leo Famulari <[email-masked]>
Date: Thu, 28 May 2020 21:32:40 -0400

On Mon, Apr 06, 2020 at 04:48:09PM +0200, Jakub Kądziołka wrote:
> This simplifies packages that ship Python bindings in a separate output.
> 
> * guix/build-system/python.scm (python-build): Add the argument, pass it
>   build-side.
> * guix/build/python-build-system.scm (site-packages): Add an #:output
>   argument.
>   (add-installed-pythonpath): Likewise.
>   (install): Use the #:python-output argument.
>   (wrap): Likewise.
>   (rename-pth-file): Likewise. Use the site-packages procedure.
> ---
> 
> See #40267 for an example of what this change wants to accomplish.

Too bad it didn't make it into the recent core-updates cycle.

If you are ready to add Unicorn, you could do that on master with a TODO
comment about using this feature once it is live.

And I think you can push this to the current core-updates along with a
commit adjusting Unicorn. If you cherry-picked just this commit to
master then it would probably not take *too* long to test. That's what I
would do to test it, anyways.

Thanks for working on this!